Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
danerror.cpp File Reference
`#include "host.h"`
`#include "danerror.h"`
`#include "tprintf.h"`
`#include "globaloc.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Functions

void | DoError (int Error, const char *Message)

## Function Documentation

void DoError | ( | int | Error,
|  | const char * | Message
| ) |  |

Include Files and Type Defines —————————————————————————-

Definition at line 32 of file danerror.cpp.

{
/*
** Parameters:
** Error error number which is to be trapped
** Message pointer to a string to be printed as an error message
** Globals:
** ErrorTrapStack stack of error traps
** CurrentTrapDepth number of traps on the stack
** Operation:
** This routine prints the specified error message to stderr.
** It then jumps to the current error trap. If the error trap
** stack is empty, the calling program is terminated with a
** fatal error message.
** Return:
** None - this routine does not return.
** Exceptions:
** Empty error trap stack terminates the calling program.
** History:
** 4/3/89, DSJ, Created.
*/
if (Message != NULL) {
tprintf("\nError: %s!\n", Message);
}
signal_termination_handler(Error);
} /* DoError */